//
//  SlowupLocalViewController.m
//  slowupDemo
//
//  Created by David Gerber on 21.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "SlowupLocalViewController.h"
#import "SlowupMapViewController.h"

NSString *const SlowupSO_URL = @"http://www.smaps.ch/slowup/info_so.html";
                           
@implementation SlowupLocalViewController
@synthesize webView, mapViewController, activityIndicator, webBackButton, navBackButton;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"Solothurn-Buechibärg";
        UIBarButtonItem *buttonMap = [[UIBarButtonItem alloc] initWithTitle:@"Karte" style:UIBarButtonItemStylePlain target:self action:@selector(showMap:)];
        self.navigationItem.rightBarButtonItem = buttonMap;
        
        [buttonMap release];
  
        self.webBackButton = [[[UIBarButtonItem alloc]
                               initWithTitle:@"Back"
                               style: UIBarButtonItemStyleBordered
                               target:self action:@selector(webBackClicked:)] autorelease];
        
        self.navBackButton = self.navigationItem.leftBarButtonItem;
    }
    return self;
}

-(void) webBackClicked:(id) sender {
    if (webView.canGoBack) {
        [self.webView goBack];
    }
}

- (void) showMap: (id) sender {
    
    
    if (mapViewController == nil) {
        
        SlowupMapViewController *theMapViewController =  [[SlowupMapViewController alloc] initWithNibName:@"SlowupMapViewController" bundle:nil];
        theMapViewController.title = @"Solothurn-Buechibärg";
        self.mapViewController = theMapViewController;
        [theMapViewController release];
    }
    [self.navigationController pushViewController:mapViewController animated:YES];
}

- (void)dealloc
{
    [activityIndicator release];
    [webView release];
    [webBackButton release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    

    //Create a URL object.
    NSURL *url = [NSURL URLWithString:SlowupSO_URL];
    
    //URL Requst Object
    NSURLRequest *requestObj = [NSURLRequest requestWithURL:url];
    webView.delegate = self;
    
    //Load the request in the UIWebView.
    [webView loadRequest:requestObj];

	activityIndicator = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleGray];
	activityIndicator.frame = CGRectMake(0.0, 0.0, 40.0, 40.0);
	activityIndicator.center = self.view.center;
    activityIndicator.hidesWhenStopped = true;
	[self.view addSubview: activityIndicator];
   

    

}
#pragma mark - WebView delegate

- (void)webViewDidStartLoad:(UIWebView *)webView {
    // starting the load, show the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = YES;
    [activityIndicator startAnimating];
}

- (void)webViewDidFinishLoad:(UIWebView *)webView {
	// finished loading, hide the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
    [activityIndicator stopAnimating];
  
    NSURL *actualUrl = [self.webView.request URL];
    NSLog(@"%@", [actualUrl absoluteString]);
    if ([[actualUrl absoluteString] compare:SlowupSO_URL] == 0){
        self.navigationItem.leftBarButtonItem = self.navBackButton;
    } else {
        self.navigationItem.leftBarButtonItem = self.webBackButton;
    }
  
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
	// load error, hide the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
    
	// report the error inside the webview
    NSString* errorString = @"<html><center><br /><br /><font size=+1 color='red'>Error<br /><br />Ein Fehler ist aufgetretten. Bitte versuchen Sie später</font></center></html>";
	[self.webView loadHTMLString:errorString baseURL:nil];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
