//
//  RootViewController.m
//  slowupDemo
//
//  Created by David Gerber on 21.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RootViewController.h"
#import "SlowupLocalViewController.h"

static NSString *kCellIdentifier = @"MyIdentifier";
static NSString *kTitleKey = @"title";
static NSString *kExplainKey = @"explanation";
static NSString *kViewControllerKey = @"viewController";

@implementation RootViewController
@synthesize menuList;

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // construct the array of page descriptions we will use (each description is a dictionary)
	//
	self.menuList = [NSMutableArray array];
    
	// for showing various UIButtons:
	SlowupLocalViewController *localViewController = [[SlowupLocalViewController alloc]
                                                    initWithNibName:@"SlowupLocalViewController" bundle:nil];
	[self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Murtensee", @""), kTitleKey,
                              NSLocalizedString(@"10.04.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];
    [self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Werdenberg-Liechtenstein", @""), kTitleKey,
                              NSLocalizedString(@"01.05.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];

    [self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Solothurn - Buechibärg", @""), kTitleKey,
                              NSLocalizedString(@"08.05.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];    
 
    [self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Schwyz - Swiss Knife Valley", @""), kTitleKey,
                              NSLocalizedString(@"15.05.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];

    [self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Schaffhausen-Hegau", @""), kTitleKey,
                              NSLocalizedString(@"22.05.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];    

    [self.menuList addObject:[NSDictionary dictionaryWithObjectsAndKeys:
                              NSLocalizedString(@"Jura", @""), kTitleKey,
                              NSLocalizedString(@"26.06.2012", @""), kExplainKey,
                              localViewController, kViewControllerKey,
							  nil]];    


	
    [localViewController release];
    
    
}



// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
	return [self.menuList count];
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:kCellIdentifier];
	if (cell == nil)
	{
		cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:kCellIdentifier] autorelease];
		cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
	}
	
	cell.textLabel.text = [[self.menuList objectAtIndex:indexPath.row] objectForKey:kTitleKey];
    cell.detailTextLabel.text = [[self.menuList objectAtIndex:indexPath.row] objectForKey:kExplainKey];
	return cell;
}



- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    UIViewController *targetViewController = [[self.menuList objectAtIndex: indexPath.row] objectForKey:kViewControllerKey];
	[[self navigationController] pushViewController:targetViewController animated:YES];

}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    self.menuList = nil;

    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}

- (void)dealloc
{
    [menuList release];
    [super dealloc];
}

@end
