//
//  SlowupAnnotation.h
//  slowupDemo
//
//  Created by David Gerber on 23.10.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

typedef enum {
	SlowupMapAnnotationTypeWC = 0,
    SlowupMapAnnotationTypeMecano = 1,
    SlowupMapAnnotationTypeInfirmerie = 2,
    SlowupMapAnnotationTypeWCHandi = 3,
    
} SlowupMapAnnotationType;

@interface SlowupAnnotation : NSObject <MKAnnotation> {
	CLLocationCoordinate2D _coordinate;
	SlowupMapAnnotationType  _annotationType;
	NSString*              _title;
	NSString*              _userData;
	NSURL*                 _url;    
}
-(id) initWithCoordinate:(CLLocationCoordinate2D)coordinate 
		  annotationType:(SlowupMapAnnotationType) annotationType
				   title:(NSString*)title;

@property SlowupMapAnnotationType annotationType;
@property (nonatomic, retain) NSString* userData;
@property (nonatomic, retain) NSURL* url;

@end
